--- Makefile.orig
+++ Makefile
@@ -1,31 +1,31 @@
-PREFIX=/usr/local
-PREFIX_MAN=$(PREFIX)/man
-CFLAGS?=-g -Wall -Wextra -pedantic
+PREFIX?=/usr/local
+PREFIX_MAN?=$(PREFIX)/share/man
+CFLAGS+=-g -Wall -Wextra -pedantic
 
 all: snac
 
 snac: snac.o main.o data.o http.o httpd.o webfinger.o \
     activitypub.o html.o utils.o format.o upgrade.o mastoapi.o
-	$(CC) $(CFLAGS) -L/usr/local/lib *.o -lcurl -lcrypto $(LDFLAGS) -pthread -o $@
+	$(CC) $(CFLAGS) $^ $(LDFLAGS) -lcurl -lcrypto -pthread -o $@
 
 .c.o:
-	$(CC) $(CFLAGS) $(CPPFLAGS) -I/usr/local/include -c $<
+	$(CC) $(CFLAGS) $(CPPFLAGS) -c $<
 
 clean:
 	rm -rf *.o *.core snac makefile.depend
 
 dep:
-	$(CC) -I/usr/local/include -MM *.c > makefile.depend
+	$(CC) $(CPPFLAGS) -MM *.c > makefile.depend
 
 install:
-	mkdir -p -m 755 $(PREFIX)/bin
-	install -m 755 snac $(PREFIX)/bin/snac
-	mkdir -p -m 755 $(PREFIX_MAN)/man1
-	install -m 644 doc/snac.1 $(PREFIX_MAN)/man1/snac.1
-	mkdir -p -m 755 $(PREFIX_MAN)/man5
-	install -m 644 doc/snac.5 $(PREFIX_MAN)/man5/snac.5
-	mkdir -p -m 755 $(PREFIX_MAN)/man8
-	install -m 644 doc/snac.8 $(PREFIX_MAN)/man8/snac.8
+	mkdir -p -m 755 $(DESTDIR)$(PREFIX)/bin
+	install -m 755 snac $(DESTDIR)$(PREFIX)/bin/snac
+	mkdir -p -m 755 $(DESTDIR)$(PREFIX_MAN)/man1
+	install -m 644 doc/snac.1 $(DESTDIR)$(PREFIX_MAN)/man1/snac.1
+	mkdir -p -m 755 $(DESTDIR)$(PREFIX_MAN)/man5
+	install -m 644 doc/snac.5 $(DESTDIR)$(PREFIX_MAN)/man5/snac.5
+	mkdir -p -m 755 $(DESTDIR)$(PREFIX_MAN)/man8
+	install -m 644 doc/snac.8 $(DESTDIR)$(PREFIX_MAN)/man8/snac.8
 
 activitypub.o: activitypub.c xs.h xs_encdec.h xs_json.h xs_curl.h \
  xs_mime.h xs_openssl.h xs_regex.h xs_time.h xs_set.h snac.h
